# Class CIM_MediaPresent
extends CIM_Dependency

Where a StorageExtent must be accessed through a MediaAccess Device, this relationship is described by the MediaPresent association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_MediaPresent

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | Where a StorageExtent must be accessed through a MediaAccess Device, this relationship is described by the MediaPresent association.
MappingStrings | string | MIF.DMTF|Storage Devices|001.8
UMLPackagePath | string | CIM::Device::StorageExtents
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
FixedMedia | boolean |
Description | string | Boolean indicating that the accessed StorageExtent is fixed in the MediaAccessDevice and can not be ejected.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_MediaPresent | CIM_MediaAccessDevice
Dependent | CIM_MediaPresent | CIM_StorageExtent

## Class Methods